Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003486Doomseeker[All Projects] Suggestionpublic2018-09-02 21:192018-10-27 22:53
ReporterPol M 
Assigned ToPol M 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformLinuxOSArchOS Versionx86-64
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003486: Translate Doomseeker to Spanish
DescriptionSince I know Spanish (and Catalan), I thought it would be a good idea to help translate Doomseeker to one of the most used languages in the world. (I'll also consider the translation to Catalan, but let's focus for now on stuff that people use :) )

I've already started translating some lines to Spanish, And all the changes prior to a future pull request will be found inhttps://bitbucket.org/Pol_M/doomseeker-translation-to-spanish/src/default/ [^]

Also, I think that this is a good opportunity to suggest a creation of a CONTRIBUTING.md/TRANSLATION.md, so non-programmers that don't know how to search in the Qt documentation (http://doc.qt.io/archives/qt-5.5/cmake-manual.html (last section)) and read the CMakeLists.txt can contribute without major problems.
It should address the creation of a blank .ts file and how to update it for future changes, the part of not doing make clean to prevent deleting the translations, mention Qt Linguist as a possible tool and finally make the pull request. I think this way more people will be able to translate Doomseeker.

I'll make an estimate of time this will take in the following days
Attached Files

- Relationships
parent of 0003534closedZalewa Qt4's assumption of Latin-1 encoding decodes UTF-8 characters in Doomseeker built with Qt4 incorrectly (language configuration) 
related to 0003483resolvedBlzut3 Doomseeker 1.2 release 

-  Notes
User avatar (0019480)
Pol M (developer)
2018-09-02 21:21

[Completly unrelated]
Well, I needed these days to work hard on other things, but I'm back! (to probably leave in a few days/weeks because college starts in some days XD)
User avatar (0019481)
Pol M (developer)
2018-09-02 22:02

I've made some translations, and taking a look at the number of context entries in qt Linguist, I assume that this could take around 20 to 30 days (I hope I'm not being optimistic)
User avatar (0019485)
Zalewa (developer)
2018-09-03 06:37

Quote from "Pol M"
Also, I think that this is a good opportunity to suggest a creation of a CONTRIBUTING.md/TRANSLATION.md, so non-programmers that don't know how to search in the Qt documentation (http://doc.qt.io/archives/qt-5.5/cmake-manual.html (last section)) and read the CMakeLists.txt can contribute without major problems.
It should address the creation of a blank .ts file and how to update it for future changes, the part of not doing make clean to prevent deleting the translations, mention Qt Linguist as a possible tool and finally make the pull request. I think this way more people will be able to translate Doomseeker.

In this case another solution would be to do what qBittorrent does and use a site for crowd-sourced translations. This should ease stuff a bit for people. I'm not sure if Transifex would be the best choice here, though, as they do not make it very clear what is the "pricing model" for Open Source projects. All I can find in this regard is some site with strange domain prefix and no HTTPS that has a dead link to SIGN UP FOR FREE site.
User avatar (0019486)
Pol M (developer)
2018-09-03 08:54

Weah, this also would do the job. I'll halt the translation and I'll try to find a way to do this.
User avatar (0019487)
Pol M (developer)
2018-09-03 09:33
edited on: 2018-09-03 10:10

I've created a test example herehttps://www.transifex.com/test-doomseeker/test-doomseeker-mainproject/dashboard/ [^] and since I marked that this is an opensource project they did not show any pricing. I can assume that it's free.

the only problem is that I don't know what I've messed up but the translations don't show up in the editor, as if no translations had been made, and the text to translate is part in English and part in Spanish. I can assume that this is a consequence of first loading the Spanish translation

[EDIT]: I could not solve this weird issue. It always seems to assume that the
original language is the one being translated

User avatar (0019521)
Pol M (developer)
2018-09-13 20:18

first pull request
User avatar (0019522)
Zalewa (developer)
2018-09-13 20:20

Thanks for checking out Transifex, I'll give it a look some time later.
User avatar (0019525)
Zalewa (developer)
2018-09-15 08:35

I doubt anyone can "test" the translation, but at least we can test if it gets deployed properly on various platforms.
User avatar (0019526)
Pol M (developer)
2018-09-15 21:28
edited on: 2018-09-15 21:45

The translation of the plugins is on its way, the Zandronum plugin is bigger than I thought and right now I have quite less time (that's the main reason I rushed the translation of core)

I've been reviewing if everything was translated, and I've found that the textbox that appears when you put your mouse over the Server Filter button on the top is not being translated. I'm reviewing the translation file to try to guess what's going on with that.

EDIT: Also, it does also happen in the menu 'view'

User avatar (0019527)
Pol M (developer)
2018-09-15 21:43
edited on: 2018-09-15 21:46

OK, I've checked if it translates in polish, and it doesn't seem like it does so...
I'm gonna open a ticket with this

User avatar (0019541)
WubTheCaptain (developer)
2018-09-18 12:17

Quote
I doubt anyone can "test" the translation, but at least we can test if it gets deployed properly on various platforms.


I don't know what you mean by this, but Spanish is an option in Configuration menu on GNU/Linux.

There's nothing to test here, and it's still being worked on (incomplete). Setting this ticket back to "assigned".
User avatar (0019576)
Pol M (developer)
2018-09-19 21:44

second pull request
User avatar (0019602)
Pol M (developer)
2018-09-21 20:56

Working on Zandronum translation
User avatar (0019686)
Pol M (developer)
2018-09-23 15:04

pull request

Quote from the pull request

And with that, my pals, Spanish is fully supported! 😜 🎉 🎊 🎉
I’ve checked that all the texts in Zandronum with a lowercase letter at the begging corresponded to a text with a lowercase letter at the begging. (regex: “^[a-z”])

Addresses ticket 0003486 from Pol Marcet Sardà (me)

OFF TOPIC:

I have to thank you all for showing me the marvellous world of the mercurial bookmarks/branches. They actually save some time and are in fact really useful. I’m very thankful for that.
The book “clean code” that Zalewa suggested is very interesting and is actually what I was looking for. Thank you.
You’re all incredible.😌
User avatar (0019687)
Zalewa (developer)
2018-09-23 15:06

One last thing that should be formalized is the continuous support of this translation. As the program will change, so will the strings in it and there's no doubt that the translation will gradually devolve.

Pol, will you be willing to provide us with continuous support for this translation? I'm not saying it needs to be updated everytime a single string changes, but it would be good to at least update the translation before an official release happens (which under the current weather is about once a year anyway :)). I normally update the Polish translation before making a beta release, but I can do that on-the-go as I also control when this release happens, but I won't expect the same from you.
User avatar (0019688)
Zalewa (developer)
2018-09-23 15:10

Finally, I understand that translating a program is not a fun thing to do and I know that there are lots of strings in Doomseeker. For your effort, accept my special thanks. I also think that translation contributions deserve a special place in the about dialog, which I will add.
User avatar (0019689)
Pol M (developer)
2018-09-23 15:17

Quote from Zalewa
will you be willing to provide us with continuous support for this translation?

Yes, I will!
I'll make a roundup translation once a month (aprox), and if you tell me a little bit before a beta I'll translate any missing strings for those too (there are only 3 times a year where I'm two entire weeks uncommunicated, which I'll not post here for privacy reasons, but that I can send you through a PM if you want)

In case that it is impossible for me to get the translation done for the beta, I'll make a pull request with whatever is done and inform that it won't be ready for the beta. That said, I don't think this will ever happen.
User avatar (0019690)
Pol M (developer)
2018-09-23 15:20

Quote from Zalewa
Finally, I understand that translating a program is not a fun thing to do and I know that there are lots of strings in Doomseeker. For your effort, accept my special thanks. I also think that translation contributions deserve a special place in the about dialog, which I will add.


Awwww, Thanks!!!
I appreciate a lot what you do, and since I love Doom this is the least I could do. I don't find translating strings that boring, if so I would have never started doing so :)
User avatar (0019691)
Pol M (developer)
2018-09-23 15:24

As a final note, a Catalan translation will happen. Eventually.

But for the moment, the nearest future and for the 1.2 release, it won't.
Catalan is a quite small language, and I'd be surprised if there were even 12 other people that speak Catalan and also play Doom.

But I like a lot Catalan, it's a language that deserves its place, so believe me that that pull request will arrive! >:)
User avatar (0019692)
Pol M (developer)
2018-09-23 15:34

commit
User avatar (0019750)
WubTheCaptain (developer)
2018-09-25 03:37
edited on: 2018-09-25 03:37

I don't speak Spanish, but I found few strings in my review.

Quote from Ayuda → Argumentos del programma
--create-game
    Launches Doomseeker in "Create Game" mode.


Quote from Acerca de Doomseeker
GeoLite2 available at:


Quote from Acerca de Doomseeker
This program uses icons (or derivates of) from following sources:


Quote from Acerca de Doomseeker
This library is distributed under the terms of the LGPL v2.1 or later.


Quote from Crear juego
Host command line


Quote from Crear juego
Offline command line


These are from your commit:

Quote
Unable to save game setup configuration!


Quote
No game selected


Quote
Configure


Quote
Starting Create Game box.


Quote
doomseeker: `--connect`, `--create-game` and `--rcon` are mutually exclusive


I don't think this is Spanish, yet it's marked as finished translation:

Quote
Form


This one is Spanish too, but is marked as unfinished:

Quote
Games


Is it meant to be there's translations for ../../../build/src/core/ui_createserverdialog.h, instead of ../ui_createserverdialog.h?

Thank you a ton for the enormous contribution.

User avatar (0019751)
WubTheCaptain (developer)
2018-09-25 03:41

Quote
Run game command line


Quote
Host server command line
User avatar (0019752)
WubTheCaptain (developer)
2018-09-25 04:05
edited on: 2018-09-25 04:06

Marked as unfinished, but seems like a complete string:

Quote
Parámetros de línea de comandos disponibles:


Quote from Crear juego
< NADA >


$ grep -ir "unfinished" es_ES.ts | wc -l
18
$ grep -ir "unfinished" zandronum_es_ES.ts | wc -l
0


User avatar (0019755)
Pol M (developer)
2018-09-25 15:48

Yeah, most of those are due to new changes in the source, It is surprising how fast it changes. About:
Quote from Wub
Form

This needs to be properly translated. It should be translated to "Formulario".
About the ones showing as unfinished, I've found that sometimes (and I have to emphasize sometimes) QtLinguist does the job for me filling in repeated translations, so I wouldn't be surprised if there was another entry with that same string. It marks those as unfinished. As I tend to always mark everything as finished, I don't know why those aren't now.
Quote from Wub

 Is it meant to be there's translations for ../../../build/src/core/ui_createserverdialog.h, instead of ../ui_createserverdialog.h?

Looking at the raw file with the translation, I can't find any reference to "../ui_createserverdialog.h". That said, I've been fixing the strings you mentioned, so It would not surprise me that a "cmake -DUPDATE_TRANSLATIONS=true .." fixed it.

I'm gonna make a commit with all you mentioned.
User avatar (0019756)
Pol M (developer)
2018-09-25 15:53
edited on: 2018-09-25 16:06

Thank you too for being so good at testing stuff :D
commit

User avatar (0019922)
WubTheCaptain (developer)
2018-10-06 09:29

I wonder if there are more UTF-8 bugs in Qt4 builds as a result of this translation. Needs more testing.
User avatar (0020050)
WubTheCaptain (developer)
2018-10-09 10:26

Do we want to make sure this translation is 100% complete at time of 1.2 release, or are we done here?
User avatar (0020058)
Pol M (developer)
2018-10-09 13:26

Well, the strings for the program change quite fast. Probably it already has a few untranslated lines. I can push a final commit the day before the release, or whenever I'm explicitly asked to.

As you can see, the Polish translation also has a few missing lines. Zalewa will probably do a commit updating those before the release.
Quote from Zalewa
I normally update the Polish translation before making a beta release, but I can do that on-the-go as I also control when this release happens


So since the objective of this ticket is complete, Wich was to have Doomseeker translated (and with a maintaner), it can be resolved. I'll wait to see what you think before doing so.
User avatar (0020096)
Zalewa (developer)
2018-10-13 14:43

I noticed capitalization discrepancy in translation of "max. clients" and "max. players"


    <message>
        <location filename="../../../build/src/core/ui_gamerulespanel.h" line="130"/>
        <source>Max. clients:</source>
        <translation>Max. clientes:</translation>
    </message>
    <message>
        <location filename="../../../build/src/core/ui_gamerulespanel.h" line="131"/>
        <source>Max. players:</source>
        <translation>Max. Jugadores:</translation>
    </message>
User avatar (0020097)
Pol M (developer)
2018-10-13 15:22
edited on: 2018-10-13 15:33

Ok, I'll take a look with some fancy regex for other discrepancies
REGEX: (^|[.!?:-]\s+)([a-z])
(not the best regex in the world)

User avatar (0020112)
WubTheCaptain (developer)
2018-10-13 18:15

I don't see more other issues on 1.2 roadmap requiring changes to this translation, so we should be good after solving any remaining issues in this ticket.
User avatar (0020118)
Pol M (developer)
2018-10-13 20:55

All reported issues are solved. If there are more errors, this ticket could be reopened.
User avatar (0020123)
WubTheCaptain (developer)
2018-10-14 13:01

Hopefully resolved, per Pol M.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-02 21:19 Pol M New Issue
2018-09-02 21:19 Pol M Status new => assigned
2018-09-02 21:19 Pol M Assigned To => Pol M
2018-09-02 21:21 Pol M Note Added: 0019480
2018-09-02 22:02 Pol M Note Added: 0019481
2018-09-03 00:57 Pol M Description Updated View Revisions
2018-09-03 06:37 Zalewa Note Added: 0019485
2018-09-03 08:54 Pol M Note Added: 0019486
2018-09-03 09:33 Pol M Note Added: 0019487
2018-09-03 10:08 Pol M Note Edited: 0019487 View Revisions
2018-09-03 10:10 Pol M Note Edited: 0019487 View Revisions
2018-09-12 15:29 Zalewa Relationship added related to 0003483
2018-09-13 20:18 Pol M Note Added: 0019521
2018-09-13 20:20 Zalewa Note Added: 0019522
2018-09-15 08:35 Zalewa Note Added: 0019525
2018-09-15 08:35 Zalewa Status assigned => needs testing
2018-09-15 21:28 Pol M Note Added: 0019526
2018-09-15 21:43 Pol M Note Added: 0019527
2018-09-15 21:45 Pol M Note Edited: 0019526 View Revisions
2018-09-15 21:46 Pol M Note Edited: 0019527 View Revisions
2018-09-18 11:48 WubTheCaptain Product Version 1.2 => 1.1
2018-09-18 12:17 WubTheCaptain Note Added: 0019541
2018-09-18 12:17 WubTheCaptain Status needs testing => assigned
2018-09-19 21:44 Pol M Note Added: 0019576
2018-09-19 23:49 WubTheCaptain Status assigned => needs review
2018-09-21 20:56 Pol M Note Added: 0019602
2018-09-21 20:56 Pol M Status needs review => assigned
2018-09-23 15:04 Pol M Note Added: 0019686
2018-09-23 15:05 Pol M Status assigned => needs review
2018-09-23 15:06 Zalewa Note Added: 0019687
2018-09-23 15:10 Zalewa Note Added: 0019688
2018-09-23 15:17 Pol M Note Added: 0019689
2018-09-23 15:20 Pol M Note Added: 0019690
2018-09-23 15:24 Pol M Note Added: 0019691
2018-09-23 15:33 Pol M Status needs review => needs testing
2018-09-23 15:34 Pol M Note Added: 0019692
2018-09-25 03:37 WubTheCaptain Note Added: 0019750
2018-09-25 03:37 WubTheCaptain Status needs testing => assigned
2018-09-25 03:37 WubTheCaptain Note Edited: 0019750 View Revisions
2018-09-25 03:41 WubTheCaptain Note Added: 0019751
2018-09-25 04:05 WubTheCaptain Note Added: 0019752
2018-09-25 04:06 WubTheCaptain Note Edited: 0019752 View Revisions
2018-09-25 15:48 Pol M Note Added: 0019755
2018-09-25 15:53 Pol M Note Added: 0019756
2018-09-25 15:54 Pol M Note Edited: 0019756 View Revisions
2018-09-25 16:06 Pol M Note Edited: 0019756 View Revisions
2018-09-25 16:06 Pol M Status assigned => needs testing
2018-10-06 09:27 WubTheCaptain Relationship added parent of 0003534
2018-10-06 09:29 WubTheCaptain Note Added: 0019922
2018-10-09 10:26 WubTheCaptain Note Added: 0020050
2018-10-09 13:26 Pol M Note Added: 0020058
2018-10-13 14:43 Zalewa Note Added: 0020096
2018-10-13 15:22 Pol M Note Added: 0020097
2018-10-13 15:28 Pol M Note Edited: 0020097 View Revisions
2018-10-13 15:33 Pol M Note Edited: 0020097 View Revisions
2018-10-13 17:22 WubTheCaptain Status needs testing => needs review
2018-10-13 18:15 WubTheCaptain Note Added: 0020112
2018-10-13 20:55 Pol M Note Added: 0020118
2018-10-14 13:01 WubTheCaptain Note Added: 0020123
2018-10-14 13:01 WubTheCaptain Status needs review => resolved
2018-10-14 13:01 WubTheCaptain Fixed in Version => 1.2
2018-10-14 13:01 WubTheCaptain Resolution open => fixed
2018-10-27 22:53 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker